Bug 4577 - HIG should mention togglebutton-style radio buttons
: HIG should mention togglebutton-style radio buttons
Status: RESOLVED FIXED
Product: Developer Guide
maemo.org wiki
: 5.0-beta
: All Linux
: Low normal (vote)
: ---
Assigned To: Jarmo Tikka
: documentation@maemo.org
:
:
:
:
  Show dependency tree
 
Reported: 2009-05-25 11:44 UTC by Murray Cumming
Modified: 2010-05-17 16:28 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Murray Cumming (reporter) 2009-05-25 11:44:24 UTC
Apparently Maemo 5 applications should use the toggle-buttons style of radio
buttons, instead of radio buttons that look like radio buttons:
http://lists.maemo.org/pipermail/maemo-developers/2009-May/054989.html

But there is no mention of this in the Human Interface Guidelines:


Well, there is a vague reference to making them act as radio buttons "as
required"
http://maemo.org/api_refs/5.0/beta/hig/html/ch06s09.html
but radio buttons need their own section in the HIG. Ideally there would be
some rationale for this style decision.
Comment 1 Stephen Gadsby maemo.org 2009-06-11 19:44:26 UTC
(In reply to comment #0)
> Apparently Maemo 5 applications should use the toggle-buttons style of radio
> buttons, instead of radio buttons that look like radio buttons:
> http://lists.maemo.org/pipermail/maemo-developers/2009-May/054989.html

This link is broken. The following /may/ be the correct link:
http://lists.maemo.org/pipermail//maemo-developers/2009-May/019216.html

My apologies if I've selected the wrong message.
Comment 2 Mox 2009-06-19 22:09:45 UTC
My guess is that the _behaviour_ should still be like radiobuttons, but
_visual_ look like toggle buttons...
Comment 3 Jarmo Tikka nokia 2009-12-28 15:11:40 UTC
Is this still valid bug with new Hildon UI Guidelines documents (that
deprecated old HIG for Fremantle Developer Guide)?
http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide
Comment 4 Mox 2009-12-28 15:23:27 UTC
(In reply to comment #3)
> Is this still valid bug with new Hildon UI Guidelines documents (that
> deprecated old HIG for Fremantle Developer Guide)?
> http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide
> 

From the perspective of the (new) Hildon UI documents which link to Forum
Nokia, those documents (esp. Hildon 2.2 Widget UI Spec) already contain all the
necessary information. So this bug is not relevant for those.
Comment 5 Jarmo Tikka nokia 2009-12-29 14:57:08 UTC
Based on comment from Mox I close this bug as FIXED.
Comment 6 Andre Klapper maemo.org 2010-05-17 16:28:47 UTC
[Rearrangement of Documentation bug reports.]
Mass-moving old closed Developer Platform > Documentation tickets.
You can filter bugmail by searching for this comment.